Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511573 - [Splitstack] Deployment of composable roles with splitstack fails at nodes.NetworkDeployment
Summary: [Splitstack] Deployment of composable roles with splitstack fails at nodes.Ne...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 12.0 (Pike)
Assignee: James Slagle
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 15:21 UTC by Gurenko Alex
Modified: 2017-11-16 15:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 15:27:24 UTC


Attachments (Terms of Use)
All files used in deployment (deleted)
2017-11-09 15:21 UTC, Gurenko Alex
no flags Details

Description Gurenko Alex 2017-11-09 15:21:50 UTC
Created attachment 1349994 [details]
All files used in deployment

Description of problem: I'm trying to deploy composable deployment with splitstack: 3 controllers, 3 messaging, 3 db, 2 networker, 1 ceph, 1 compute.

We've been ironing out all configs for the past weeks and I've updated nic configs from the ones that InfraRed provides to the one that needs to be used with Split stack.


Version-Release number of selected component (if applicable): 2017-11-03.4


How reproducible:


Steps to Reproduce:
1. Run infrared deployment with composition composable roles used with specified topology to the pre-deploy stage
2. Run image-creation.sh on the hypervisor to provision and bootsrap overcloud nodes
3. Upload required files to the undercloud
4. Run the overcloud_deploy_splitstack.sh script
5. run heat-agent.sh script

Actual results:

(undercloud) [stack@undercloud-0 ~]$ openstack stack failures list overcloud
overcloud.MessagingDeployedServer.1.NetworkDeployment:
  resource_type: OS::TripleO::SoftwareDeployment
  physical_resource_id: dfe76204-8622-45b1-abf6-291309e80856
  status: CREATE_FAILED
  status_reason: |
    CREATE aborted
overcloud.MessagingDeployedServer.0.NetworkDeployment:
  resource_type: OS::TripleO::SoftwareDeployment
  physical_resource_id: e33cddbf-51b2-4d11-9266-7ba7a5ec0b74
  status: CREATE_FAILED
  status_reason: |
    CREATE aborted
overcloud.MessagingDeployedServer.2.NetworkDeployment:
  resource_type: OS::TripleO::SoftwareDeployment
  physical_resource_id: b996776f-0eaa-472c-a2ab-bf7e51f4f291
  status: CREATE_FAILED
  status_reason: |
    CREATE aborted
overcloud.CephDeployedServer.0.NetworkDeployment:
  resource_type: OS::TripleO::SoftwareDeployment
  physical_resource_id: 05c91c46-7811-42d1-a08e-f03c542ff14c
  status: CREATE_FAILED
  status_reason: |
    CREATE aborted
overcloud.ControllerDeployedServer.1.NetworkDeployment:
  resource_type: OS::TripleO::SoftwareDeployment
  physical_resource_id: f25e57cd-7817-4454-b744-f899790ca10b
  status: CREATE_FAILED
  status_reason: |
    CREATE aborted
overcloud.ControllerDeployedServer.0.NetworkDeployment:
  resource_type: OS::TripleO::SoftwareDeployment
  physical_resource_id: 06f8961f-0f92-4293-a447-72b4a0d3f538
  status: CREATE_FAILED
  status_reason: |
    CREATE aborted
overcloud.ControllerDeployedServer.2.NetworkDeployment:
  resource_type: OS::TripleO::SoftwareDeployment
  physical_resource_id: 2d57a391-a9a2-4f5f-a381-0d02e1c23aee
  status: CREATE_FAILED
  status_reason: |
    CREATE aborted
overcloud.ComputeDeployedServer.0.NetworkDeployment:
  resource_type: OS::TripleO::SoftwareDeployment
  physical_resource_id: c1c19751-cdc8-48e6-b885-2188e863a608
  status: CREATE_FAILED
  status_reason: |
    CREATE aborted

Expected results:

CREATE_COMPLETE

Additional info:

Any comments on the configuration are appreciated

Comment 5 Gurenko Alex 2017-11-15 14:48:50 UTC
 IR used old nic-templates for the deployment even more, old templates had different network assignment. All templates except Ceph are updated to correctly work with IR + splitstack deployments, right now composable topology 3 Controllers + 3 DB + 3 Messaging + 2 Networker + 1 Compute are deployable.

I'm looking into remaining Ceph issue.

Comment 6 Gurenko Alex 2017-11-16 15:27:24 UTC
Currently deployment is working fine without Ceph, issues with ceph will be tracked separately.


Note You need to log in before you can comment on or make changes to this bug.